ForkedGrailsProjectClassExecutor (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.cli.fork

## [Groovy] Class ForkedGrailsProjectClassExecutor

- org.codehaus.groovy.grails.cli.fork.ForkedGrailsProjectClassExecutor

- Base class that deals with the setup logic needed to run a Grails build system component (GrailsProjectCompiler, GrailsProjectLoader, GrailsProjectRunner etc.) in a forked process.

  Authors:
    Graeme Rocher
  Since:
    2.3

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ForkedGrailsProcess` | `DEBUG_FORK, DEFAULT_DAEMON_PORT, DEFAULT_DEBUG_ARGS, PARENT_PROCESS_PORT`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ForkedGrailsProjectClassExecutor (BuildSettings buildSettings)`
    `protected ForkedGrailsProjectClassExecutor ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected GrailsBuildEventListener` | `createEventListener(groovy.lang.Binding executionContext)`
    `protected ExecutionContext` | `createExecutionContext()`
    `protected groovy.lang.Binding` | `createExecutionContext(BuildSettings buildSettings, PluginBuildSettings pluginSettings)`
    `protected java.lang.Object` | `createInstance(java.lang.Class projectComponentClass, BuildSettings buildSettings)`
    `protected java.lang.String` | `getProjectClassType()`
    `protected java.lang.Object` | `initializeProjectInstance()`
    `protected int` | `run()`
    `int` | `runInstance(java.lang.Object instance)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ForkedGrailsProcess` | `attachOutputListener, buildMinimalIsolatedClasspath, buildProcessCommand, configure, configureFork, createClassLoader, discoverAndSetAgent, findJarFile, findSystemClasspathJars, findToolsJar, fork, forkDaemon, forkReserve, forkReserveProcess, getBoostrapClasspath, getResumeDir, initializeBuildSettings, initializeClassLoader, initializeLogging, isDaemonProcess, isDaemonRunning, isDebugForkEnabled, isForkingReserveEnabled, isReserveProcess, isServerRunning, isWindows, killAfterTimeout, readExecutionContext, readExecutionContext, readLine, restartDaemon, runDaemonCommand, setupReloading, shouldRunWithDaemon, startDaemon, startParentAvailabilityServer, startParentPortMonitor, startProjectWatcher, storeExecutionContext, waitForResume`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### ForkedGrailsProjectClassExecutor(BuildSettings buildSettings)

    - #### protected ForkedGrailsProjectClassExecutor()

  - ### Method Detail

    - #### protected GrailsBuildEventListener createEventListener(groovy.lang.Binding executionContext)

    - #### protected ExecutionContext createExecutionContext()

    - #### protected groovy.lang.Binding createExecutionContext(BuildSettings buildSettings, PluginBuildSettings pluginSettings)

    - #### protected java.lang.Object createInstance(java.lang.Class projectComponentClass, BuildSettings buildSettings)

    - #### protected java.lang.String getProjectClassType()

    - #### protected java.lang.Object initializeProjectInstance()

    - #### protected final int run()

    - #### int runInstance(java.lang.Object instance)